Error rails db:migrate


#1

Hi all, I seem to have run into this issue when trying migrate the database. I’m using Ubuntu and I’m sure I followed all the steps correctly so far.
LoadError: Error loading the ‘sqlite3’ Active Record adapter. Missing a gem it depends on? can’t activate sqlite3 (~> 1.3.6), already activated sqlite3-1.4.0. Make sure all dependencies are added to Gemfile.
/home/juan/odin_on_rails/my_first_rails_app/bin/rails:9:in <top (required)>' /home/juan/odin_on_rails/my_first_rails_app/bin/spring:15:in<top (required)>’
bin/rails:3:in load' bin/rails:3:in

Caused by:
Gem::LoadError: can’t activate sqlite3 (~> 1.3.6), already activated sqlite3-1.4.0. Make sure all dependencies are added to Gemfile.
/home/juan/odin_on_rails/my_first_rails_app/bin/rails:9:in <top (required)>' /home/juan/odin_on_rails/my_first_rails_app/bin/spring:15:in<top (required)>’
bin/rails:3:in load' bin/rails:3:in
Tasks: TOP => db:migrate => db:load_config
(See full trace by running task with --trace)


#2

See solution here Sqlite3 error when trying to migrate the database (2.3 First rails app)